be.ehealth.businessconnector.insurabilityv2.builders

## Class RequestObjectBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.insurabilityv2.builders.RequestObjectBuilderFactory

-     public final class RequestObjectBuilderFactory
      extends Object

  Factory for `RequestObjectBuilder`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_REQUESTBUILDER_CLASS` Class of the default implementation of requestBuilder
    `static String` | `PROP_REQUESTBUILDER_CLASS` Class of the requestBuilder

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestObjectBuilder` | `getRequestObjectBuilder()` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "insurability.requestobjectbuilder.class" ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_REQUESTBUILDER_CLASS

          public static final String PROP_REQUESTBUILDER_CLASS

      Class of the requestBuilder
      See Also:
        Constant Field Values

    - #### DEFAULT_REQUESTBUILDER_CLASS

          public static final String DEFAULT_REQUESTBUILDER_CLASS

      Class of the default implementation of requestBuilder
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRequestObjectBuilder

          public static RequestObjectBuilder getRequestObjectBuilder()
                                                              throws TechnicalConnectorException

      Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property "insurability.requestobjectbuilder.class" ). By default, it would be "be.ehealth.businessconnector.insurabilityv2.builders.impl.RequestObjectBuilderImpl"
      Returns:
        `RequestObjectBuilder` the instance of the `RequestObjectBuilder`
      Throws:
        `TechnicalConnectorException`

Connector Packaging generic 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.